<?php
include_once "./_common.php";
//gcm registration ID table

$reg_sql = "CREATE TABLE IF NOT EXISTS `registration_id` (
  `ri_idx` int(11) NOT NULL AUTO_INCREMENT,
  `ri_ip` varchar(100) NOT NULL,
  `ri_mb_id` varchar(100) NOT NULL,
  `ri_id` varchar(255) NOT NULL,
  PRIMARY KEY (`ri_idx`),
  KEY `ri_mb_id` (`ri_mb_id`),
  KEY `ri_id` (`ri_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='GCM Registration Id' ;";
sql_query($reg_sql);


//board
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_table_width` INT NOT NULL default '100'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_table_width` INT NOT NULL default '100'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_subject_len` INT NOT NULL default '50'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_page_rows` INT NOT NULL default '10'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_image_width` INT NOT NULL default '300'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_skin` VARCHAR( 255 ) NOT NULL default 'basic'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_include_head` VARCHAR( 255 ) NOT NULL default '../_head.php'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_include_tail` VARCHAR( 255 ) NOT NULL default '../_tail.php'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_content_head` TEXT NOT NULL", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_content_tail` TEXT NOT NULL", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_use` INT NOT NULL default '1'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_latest_rows` INT NOT NULL default '5'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_latest_skin` VARCHAR( 255 ) NOT NULL default 'g4m_basic'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_sort` INT NOT NULL default '0'", false);
sql_query("ALTER TABLE `{$g4['board_table']}` ADD `bo_m_latestsub_len` INT NOT NULL default '50'", false);
//config
sql_query("ALTER TABLE `{$g4['config_table']}` ADD `cf_m_cut_name` INT NOT NULL default '12'", false);
sql_query("ALTER TABLE `{$g4['config_table']}` ADD `cf_m_page_rows` INT NOT NULL default '5'", false);
sql_query("ALTER TABLE `{$g4['config_table']}` ADD `cf_m_new_rows` INT NOT NULL default '10'", false);
sql_query("ALTER TABLE `{$g4['config_table']}` ADD `cf_m_site_skin` VARCHAR(255) NOT NULL default 'basic'", false);
sql_query("ALTER TABLE `{$g4['config_table']}` ADD `cf_m_new_skin` VARCHAR(255) NOT NULL default 'basic'", false);
sql_query("ALTER TABLE `{$g4['config_table']}` ADD `cf_m_search_skin` VARCHAR( 255 ) NOT NULL default 'basic'", false);
sql_query("ALTER TABLE `{$g4['config_table']}` ADD `cf_m_connect_skin` VARCHAR( 255 ) NOT NULL default 'basic'", false);
sql_query("ALTER TABLE `{$g4['config_table']}` ADD `cf_m_member_skin` VARCHAR( 255 ) NOT NULL default 'basic'", false);
sql_query("ALTER TABLE `{$g4['config_table']}` ADD `cf_m_write_pages` INT NOT NULL default '3'", false);

//썸네일 디렉토리 생성
@mkdir($g4['thumb_dir']);
@chmod($g4['thumb_dir'], 0707);

if(!file_exists($g4['thumb_dir'])){
    $alert = "<div class='alert alert-danger'>g4m이 설치된 폴더 아래에 thumb 폴더를 생성해 주세요. 707 또는 777 권한으로 설정해야 썸네일이 생성됩니다.</div>";
}

//테이블에 필드가 정상적으로 추가되었는지 확인한다. - 웹호스팅 업체중 일부가 권한을 막아놓은 경우가 있다.
$sql = "select cf_m_cut_name from {$g4['config_table']}";
$result = sql_fetch($sql, false);

if($result == null){
    $check_permit = "<div class='alert alert-danger'>테이블에 필드추가가 실패하였습니다. 서버 관리자에게 문의하세요. ex)MySQL Alter 권한 허용 여부</div>";
}

include_once $g4['g4m_path'].'/_head.php';
?>
<div class="page-header">
    <h1>설치 완료</h1>
</div>
<?php echo $alert?>
<?php echo $check_permit?>
<div class='alert alert-info'>
    필드 추가가 완료 되었습니다.<br /> ./install 디렉토리를 삭제해 주세요.
</div>


<?php
include_once $g4['g4m_path'].'/_tail.php';